<template>
  <div>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">ID</th>
          <th scope="col">Nom du plat</th>
          <th scope="col">Description du plat</th>
          <th scope="col">Prix</th>
          <th scope="col">Nouveau prix</th>
          <th scope="col">Allergènes</th>
          <th scope="col">Poids</th>
          <th scope="col">Valeur nutritionnelle</th>
          <th scope="col">Catégories</th>
          <th scope="col">Image</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="dish in dishes" :key="dish.id">
          <th scope="row">{{ dish.id_dish }}</th>
          <td>{{ dish.name_dish }}</td>
          <td>{{ dish.description_dish }}</td>
          <td>{{ dish.price_dish }}</td>
          <td>{{ dish.new_price_dish }}</td>
          <td>{{ dish.allergens_dish }}</td>
          <td>{{ dish.weight_dish }}</td>
          <td>{{ dish.nutritional_values_dish }}</td>
          <td>{{ dish.category_dish }}</td>
          <td>{{ dish.picture_link }}</td>
          <td>edit</td>
          <td>delete</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
// import dishesServices from "../../services/dishesServices";
export default {
  // data() {
  //   return {
  //   dishes: []
  //   }
  // },
  created() {
    // dishesServices.getDishes().then(res => {
    //  this.dishes = res.data
    // } )
    this.$store.dispatch("getDishes");
  },
  computed: {
    dishes() {
      return this.$store.state.dishes; //le store comporte un état qui contient les plats
    }
  },
};
</script>

<style scoped></style>
